{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load custom_tags %}
{% block content %}
    <div class="container mb-5">

        <div class="py-5 text-center ">
            <h1 class="text-light"> Sprint Backlog </h1>
        </div>

        <div class="bg-light rounded border-dark p-3">
            <div class="input-group">
                <input type="text" id="buscarUS" onkeyup="buscarTabla('buscarUS','tablaSprintB')"
                       placeholder="Buscar por User Story"
                       title="Escriba un rol" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">
            </div>
            <table class="table table-hover " id="tablaSprintB">
                <thead class="thead-dark">
                <tr>
                    <th onclick="sortTable(0,'tablaSprintB','String')">User Story</th>
                    <th onclick="sortTable(1,'tablaSprintB','Numero')">Prioridad</th>
                    <th onclick="sortTable(2,'tablaSprintB','Numero')">Estimacion</th>
                    <th onclick="sortTable(3,'tablaSprintB','String')">Encargado</th>
                    <th onclick="sortTable(4,'tablaSprintB','Numero')">Horas Trabajadas</th>
                    {% if sprint.estado == 'P' %}
                        <th scope="col">Acciones</th>
                    {% endif %}
                </tr>
                </thead>
                <tbody>
                {% for pp in listUs %}
                    <tr>
                        <td>{{ pp.idUs.titulo }}</td>
                        <td>{{ pp.prioridad }}</td>
                        <td>
                            {% if pp.estimacionFinal %}
                                {{ pp.estimacionFinal }}
                            {% else %}
                                No Estimado
                            {% endif %}
                        </td>
                        <td>{{ pp.miembroEncargado.idUser.first_name }} {{ pp.miembroEncargado.idUser.last_name }}</td>
                        <td>{{ pp.idUs.tiempoDedicado }}</td>
                        {% if sprint.estado == 'P' %}
                            <td>
                                <form method="POST" action="">
                                    {% csrf_token %}

                                    <div class="btn-group">
                                        <a href="{% url 'Proyecto:EditarPlanningPoker' idProyecto idSprint pp.id pp.idUs.id %}"
                                           type="button"
                                           class="btn btn-info

                                                   {% if permisos %}{% if not permisos|get_at_index:13 %} disabled {% endif %}{% endif %}">
                                            Editar</a>
                                        <a href="{% url 'Proyecto:QuitarSprintBacklog' idProyecto idSprint pp.id pp.idUs.id %}"
                                           type="button"
                                           class="btn btn-danger">Quitar</a>
                                    </div>
                                </form>

                            </td>
                        {% endif %}
                    </tr>
                {% endfor %}
                </tbody>
            </table>


            <div class="bg-light border rounded border-light">
                <a class="btn btn-secondary" href="{% url 'Proyecto:listUserStoryPdf' idSprint %}"
                   role="button">Sprint Backlog PDF</a>
                <a class="btn btn-secondary" href="{% url 'Proyecto:ListarSprint' idProyecto %}"
                   role="button">Volver</a>
            </div>
        </div>


    </div>






{% endblock %}